## org.apache.mahout.vectorizer
Class VectorizerConfig

    java.lang.Object
      org.apache.mahout.vectorizer.VectorizerConfig

    public final class VectorizerConfig

extends Object

The config for a Vectorizer. Not all implementations need use all variables.

Constructor Summary
`VectorizerConfig(org.apache.hadoop.conf.Configuration conf, String analyzerClassName, String encoderClass, String encoderName, boolean sequentialAccess, boolean namedVectors, int cardinality)`

Method Summary
`String` `getAnalyzerClassName()`
`int` `getCardinality()`
`int` `getChunkSizeInMegabytes()`
`org.apache.hadoop.conf.Configuration` `getConf()`
`String` `getEncoderClass()`
`String` `getEncoderName()`
`int` `getMaxNGramSize()`
`float` `getMinLLRValue()`
`int` `getMinSupport()`
`float` `getNormPower()`
`int` `getNumReducers()`
`String` `getTfDirName()`
`boolean` `isLogNormalize()`
`boolean` `isNamedVectors()`
`boolean` `isSequentialAccess()`
`void` `setAnalyzerClassName(String analyzerClassName)`
`void` `setCardinality(int cardinality)`
`void` `setChunkSizeInMegabytes(int chunkSizeInMegabytes)`
`void` `setConf(org.apache.hadoop.conf.Configuration conf)`
`void` `setEncoderClass(String encoderClass)`
`void` `setEncoderName(String encoderName)`
`void` `setLogNormalize(boolean logNormalize)`
`void` `setMaxNGramSize(int maxNGramSize)`
`void` `setMinLLRValue(float minLLRValue)`
`void` `setMinSupport(int minSupport)`
`void` `setNamedVectors(boolean namedVectors)`
`void` `setNormPower(float normPower)`
`void` `setNumReducers(int numReducers)`
`void` `setSequentialAccess(boolean sequentialAccess)`
`void` `setTfDirName(String tfDirName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VectorizerConfig

    public VectorizerConfig(org.apache.hadoop.conf.Configuration conf,
                            String analyzerClassName,
                            String encoderClass,
                            String encoderName,
                            boolean sequentialAccess,
                            boolean namedVectors,
                            int cardinality)

Method Detail

### getConf

    public org.apache.hadoop.conf.Configuration getConf()

### setConf

    public void setConf(org.apache.hadoop.conf.Configuration conf)

### getAnalyzerClassName

    public String getAnalyzerClassName()

### setAnalyzerClassName

    public void setAnalyzerClassName(String analyzerClassName)

### getEncoderName

    public String getEncoderName()

### setEncoderName

    public void setEncoderName(String encoderName)

### isSequentialAccess

    public boolean isSequentialAccess()

### setSequentialAccess

    public void setSequentialAccess(boolean sequentialAccess)

### getTfDirName

    public String getTfDirName()

### setTfDirName

    public void setTfDirName(String tfDirName)

### isNamedVectors

    public boolean isNamedVectors()

### setNamedVectors

    public void setNamedVectors(boolean namedVectors)

### getCardinality

    public int getCardinality()

### setCardinality

    public void setCardinality(int cardinality)

### getEncoderClass

    public String getEncoderClass()

### setEncoderClass

    public void setEncoderClass(String encoderClass)

### getMinSupport

    public int getMinSupport()

### setMinSupport

    public void setMinSupport(int minSupport)

### getMaxNGramSize

    public int getMaxNGramSize()

### setMaxNGramSize

    public void setMaxNGramSize(int maxNGramSize)

### getMinLLRValue

    public float getMinLLRValue()

### setMinLLRValue

    public void setMinLLRValue(float minLLRValue)

### getNormPower

    public float getNormPower()

### setNormPower

    public void setNormPower(float normPower)

### isLogNormalize

    public boolean isLogNormalize()

### setLogNormalize

    public void setLogNormalize(boolean logNormalize)

### getNumReducers

    public int getNumReducers()

### setNumReducers

    public void setNumReducers(int numReducers)

### getChunkSizeInMegabytes

    public int getChunkSizeInMegabytes()

### setChunkSizeInMegabytes

    public void setChunkSizeInMegabytes(int chunkSizeInMegabytes)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.